Package: org.apache.groovy.groovysh.jline

## [Java] Class GroovyEngine.AccessRules

- org.apache.groovy.groovysh.jline.GroovyEngine.AccessRules

-     protected static class GroovyEngine.AccessRules
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `allClasses` |
    `protected boolean` | `allConstructors` |
    `protected boolean` | `allFields` |
    `protected boolean` | `allMethods` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AccessRules()`
    `AccessRules(Map<String, Object> options)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final boolean allClasses

    - #### protected final boolean allConstructors

    - #### protected final boolean allFields

    - #### protected final boolean allMethods

  - ### Constructor Detail

    - #### public AccessRules()

    - #### public AccessRules(Map<String, Object> options)